Bug 15164 - leak in wbcCtxPingDc2
Summary: leak in wbcCtxPingDc2
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind (show other bugs)
Version: 4.17.0rc4
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-06 14:27 UTC by Andrew Walker
Modified: 2023-01-26 17:49 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.17.next, 4.16.next. (1.10 KB, patch)
2022-10-28 23:32 UTC, Jeremy Allison
jra: review? (awalker)
jra: review? (dmulder)
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Walker 2022-09-06 14:27:17 UTC
Leak in wbcCtxPingDc2 was observed while working on python bindings for libwbclient. Response was not being freed.

C.F. https://gitlab.com/samba-team/samba/-/merge_requests/2706/diffs
Comment 1 Samba QA Contact 2022-09-06 20:11:03 UTC
This bug was referenced in samba master:

aa9f3a2da97ae13cce3e50fe3d58f143200e9a17
Comment 2 Jeremy Allison 2022-10-28 23:32:44 UTC
Created attachment 17607 [details]
git-am fix for 4.17.next, 4.16.next.

Cherry-picked from master.
Comment 3 Jeremy Allison 2023-01-13 18:00:02 UTC
Comment on attachment 17607 [details]
git-am fix for 4.17.next, 4.16.next.

Ping. Can we get this into the next release please ?
Comment 4 David Mulder 2023-01-13 18:02:27 UTC
@jra, why are you pinging me for this? I suppose I'm happy to, if someone shows me how.
Comment 5 Jeremy Allison 2023-01-13 18:16:50 UTC
(In reply to David Mulder from comment #4)

Sorry David, I pinged you as no one else showed up :-). Andrew Walker is good at logging these bugs, but not so good at following the proceedure to get them merged into release.next :-).

All you have to do is download the patch, apply to 4.17.next and 4.16.next and confirm it's good and compiles for them (it's a cherry-pick from master so it's already known good).

Or you could just click +1 on the review button and I'll re-assign to Jule for integration.

Thanks !
Comment 6 David Mulder 2023-01-13 18:24:17 UTC
What are '4.17.next' and '4.16.next' (aside from these being the names of the patches) that you want me to apply these to? Are these branches on git.samba.org? Sorry for asking stupid questions, I'm just unfamiliar with this process (but no better time to learn).
Comment 7 David Mulder 2023-01-13 18:25:47 UTC
Perhaps you mean the branches v4-17-test and v4-16-test?
Comment 8 Jeremy Allison 2023-01-13 18:38:19 UTC
(In reply to David Mulder from comment #7)

Sorry David, yes that's exactly what I mean. I shorthand those branch names as 4.17.next, 4.16.next as the release manager knows what I mean :-).

But yeah, the actual branches are v4-17-test and v4-16-test.

Thanks !
Comment 9 Ralph Böhme 2023-01-13 20:17:27 UTC
Reassigning to Jule for inclusion in 4.16 and 4.17.
Comment 10 David Mulder 2023-01-13 20:54:21 UTC
Well, for what's it's worth. I finished applying the patches and testing that they build.
Comment 11 Jule Anger 2023-01-16 09:07:37 UTC
Pushed to autobuild-v4-{17,16}-test.
Comment 12 Samba QA Contact 2023-01-16 10:48:04 UTC
This bug was referenced in samba v4-16-test:

d7bcdfa6b88d639c6d8c4352722b432d93fdb328
Comment 13 Samba QA Contact 2023-01-16 10:50:51 UTC
This bug was referenced in samba v4-17-test:

7b29d4077d80093c4493f8b40a0729bd8541ff6e
Comment 14 Jule Anger 2023-01-16 11:58:08 UTC
Closing out bug report.

Thanks!
Comment 15 Samba QA Contact 2023-01-26 17:49:57 UTC
This bug was referenced in samba v4-17-stable (Release samba-4.17.5):

7b29d4077d80093c4493f8b40a0729bd8541ff6e